org.richfaces.component

## Enum AbstractCollapsiblePanel.States

- java.lang.Object
- - java.lang.Enum<AbstractCollapsiblePanel.States>
  - - org.richfaces.component.AbstractCollapsiblePanel.States

- All Implemented Interfaces:
    Serializable, Comparable<AbstractCollapsiblePanel.States>
  Enclosing class:
    AbstractCollapsiblePanel

      public static enum AbstractCollapsiblePanel.States
      extends Enum<AbstractCollapsiblePanel.States>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `collapsed`
    `expanded`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `abbreviation()`
    `static AbstractCollapsiblePanel.States` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractCollapsiblePanel.States[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### expanded

          public static final AbstractCollapsiblePanel.States expanded

    - #### collapsed

          public static final AbstractCollapsiblePanel.States collapsed

  - ### Method Detail

    - #### values

          public static AbstractCollapsiblePanel.States[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractCollapsiblePanel.States c : AbstractCollapsiblePanel.States.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractCollapsiblePanel.States valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### abbreviation

          public String abbreviation()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.